## python-neutronclient 11.3.1

=== debian/changelog ===
python-neutronclient (1:11.3.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090541).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:47:00 +0100

python-neutronclient (1:11.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:24:17 +0200

python-neutronclient (1:11.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop BGPVPN_Fix_resource_comparison.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:15:14 +0200

python-neutronclient (1:11.2.0-3) unstable; urgency=medium

  * Add BGPVPN_Fix_resource_comparison.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 May 2024 16:03:39 +0200

python-neutronclient (1:11.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:31:41 +0200

python-neutronclient (1:11.2.0-1) experimental; urgency=medium

  * New upstream releaes.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 16:55:08 +0100

python-neutronclient (1:11.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 16:03:29 +0200

python-neutronclient (1:11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:52:46 +0200

python-neutronclient (1:11.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-openstackclient as depends.
  * Add python3-openstacksdk (>= 1.4.0) as build-depends.
  * Do not attempt to install tools/neutron.bash_completion which is gone from
    upstream (there's no /usr/bin/neutron anymore).
  * Do not manage /usr/bin/neutron alternatives anymore.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:24:30 +0200

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-netaddr,
 python3-openstackclient (>= 1.0.2),
 python3-openstackdocstheme,
 python3-openstacksdk (>= 1.5.0),
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-neutronclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-neutronclient.git
Homepage: https://launchpad.net/python-neutronclient

Package: python3-neutronclient
Architecture: all
Depends:
 python3-cliff,
 python3-debtcollector,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-netaddr,
 python3-openstackclient (>= 1.0.2),
 python3-openstacksdk (>= 1.5.0),
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

## python-neutronclient 11.4.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff>=3.4.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
netaddr>=0.7.18 # BSD
openstacksdk>=1.5.0 # Apache-2.0
osc-lib>=1.12.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
keystoneauth1>=3.8.0 # Apache-2.0
# keystoneclient is used only by neutronclient.osc.utils
# TODO(amotoki): Drop this after osc.utils has no dependency on keystoneclient
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-neutronclient (1:11.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:39:38 +0100

python-neutronclient (1:11.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -37,8 +37,6 @@
  python3-requests-mock,
  python3-stestr,
  python3-subunit,
- python3-tempest,
- python3-testscenarios,
  python3-testtools,
  subunit,
 Standards-Version: 4.5.1

## python-neutronclient 11.6.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff>=3.4.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-iso8601>=0.1.11 # MIT
 netaddr>=0.7.18 # BSD
 openstacksdk>=1.5.0 # Apache-2.0
 osc-lib>=1.12.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
cliff>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-neutronclient (1:11.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:39:30 +0200

python-neutronclient (1:11.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-iso8601 from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 08:42:37 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-debtcollector,
  python3-fixtures,
  python3-hacking,
- python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-netaddr,
@@ -49,7 +48,6 @@
 Depends:
  python3-cliff,
  python3-debtcollector,
- python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-netaddr,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf python_neutronclient.egg-info doc/man .stestr
	find . -type d -name __pycache__ -exec rm -r {} \+
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# See https://bugs.launchpad.net/python-neutronclient/+bug/1790957
	pkgos-dh_auto_test --no-py2 'neutronclient\.tests\.unit.*'
endif

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	dh_installman -O--buildsystem=pybuild
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
# Since we use EPOC, and we want to move away 2012.x, we use
# uversionmangle...
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/^2012/0.0./" \
https://github.com/openstack/python-neutronclient refs/tags/(\d[brc\d\.]+)

## python-neutronclient 11.7.0

=== debian/changelog ===
python-neutronclient (1:11.7.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 11.7.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 19 Jan 2026 15:27:53 -0800

python-neutronclient (1:11.6.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version.
  * d/control: Align (Build-)Depends with upstream. 
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 13:21:05 -0700

python-neutronclient (1:11.4.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 14:44:20 +0000

python-neutronclient (1:11.3.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 07:28:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=neutronclient

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 'neutronclient\.tests\.unit\.(?!(.*test_cli20_port\.CLITestV20PortJSON\.test_list_ports_with_fixed_ips_in_csv.*|.*test_cli20_port\.CLITestV20PortXML\.test_list_ports_with_fixed_ips_in_csv.*|.*test_shell.*))'
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_neutronclient.egg-info doc/man .testrepository

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	dh_installman
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-neutronclient/ python_neutronclient-(\d.*)\.tar\.gz

## python-neutronclient 11.8.0

=== debian/changelog ===
python-neutronclient (1:11.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:50:40 +0100

python-neutronclient (1:11.6.0-3) unstable; urgency=medium

  * Clean .pybuild folder (Closes: #1045609).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 00:52:21 +0100
